//
//  EngineGameBattleship.swift
//  GameBattleshipTerminal
//
//  Created by Piotr Fulmański on 2020.02.26.
//  Copyright © 2020 Piotr Fulmański. All rights reserved.
//

import Foundation

class EngineGameBattleship {
    private var boardPlayer: Board
    private var boardOpponent: Board
    
    init(rows: Int = 10, cols: Int = 10) {
        self.boardPlayer = Board(rows: rows, cols: cols)
        self.boardOpponent = Board(rows: rows, cols: cols)
    }
    
    func printBoards() {
        print("PLAYER")
        boardPlayer.printBoard()
        print("OPPONENT")
        boardOpponent.printBoard()
    }
    
    func test() {
        var x = boardPlayer.mayPlaceShip(size: 4,
                                    anchor: (row: 2, col: 2),
                                    direction: .down)
        
        print(x ? "empty" : "occupied")
        
        x = boardPlayer.mayPlaceShip(size: 4,
                                    anchor: (row: 9, col: 2),
                                    direction: .down)
        
        print(x ? "empty" : "occupied")
        
        x = boardPlayer.mayPlaceShip(size: 4,
                                    anchor: (row: 5, col: 7),
                                    direction: .right)
        
        print(x ? "empty" : "occupied")
        
        x = boardPlayer.mayPlaceShip(size: 4,
                                    anchor: (row: 5, col: 8),
                                    direction: .right)
        
        print(x ? "empty" : "occupied")
    }
}
